Learn how to seamlessly integrate our APIs into your application.
Before you begin!
You should create a free Blockradar account that you can test the API against. We will provide you with test keys that you can use to make API calls.
Postman Collection
View the Postman Collection
The Blockradar API gives you access to pretty much all the features you can use on our dashboard and lets you extend them for use in your product. It strives to be RESTful and is organized around the main resources you would be interacting with - with a few notable exceptions.
We provide sample API calls next to each method using cURL. All you need to do is insert your specific parameters, and you can test the calls from the command line. See this tutorial on using cURL with APIs.You can also use Postman if you aren’t familiar with cURL. Postman is an easy to use API development and testing platform. You can explore the Blockradar Postman Collection to understand how our APIs work.
Both request body data and response data are formatted as JSON. Content type for responses will always be application/json. Generally, all responses will be in the following format:
This is the request status code that lets you know if your request was succesful or not. We recommend that you use this to determine the result of an API call.
message
string
This is a summary of the response and its status. For instance when trying to retrieve a list of customers, message might read “Transactions fetched successfully”. In the event of an error, the message key will contain a description of the error as with the authorization header situation above. This is the only key that is universal across requests.
data
object
This contain the results of your request. It can either be an object, or an array depending on the request made. For instance, a request to retrieve a single transaction will return a transaction object in the data key, while the key would be an array of transactions if a list is requested instead.
The meta key is used to provide context for the contents of the data key. For instance, if a list of transactions performed by a customer is being retrieved, pagination parameters can be passed along to limit the result set. The meta key will then contain an object with the following attributes:
The total number of items available. This represents the complete count of items across all pages.
itemCount
The number of items on the current page. This indicates how many items are being returned in the current response.
itemsPerPage
The maximum number of items per page. This defines the pagination limit set for each page. Default: 100
totalPages
The total number of pages available. This is calculated based on the total number of items and the number of items per page.
currentPage
The current page number. This indicates which page of the pagination is being returned in the current response. Default: 1
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/schema.json","name":"Blockradar","colors":{"primary":"#0D9373","light":"#07C983","dark":"#0D9373"},"logo":{"light":"https://mintcdn.com/blockradar/fWg7SGpNBqmitg8P/logo/light.png?fit=max\u0026auto=format\u0026n=fWg7SGpNBqmitg8P\u0026q=85\u0026s=32dafe22efea13faac14c1c4af5f9fa3","dark":"https://mintcdn.com/blockradar/fWg7SGpNBqmitg8P/logo/dark.png?fit=max\u0026auto=format\u0026n=fWg7SGpNBqmitg8P\u0026q=85\u0026s=d5283823d1dbc70ba0a71321c6790d3f"},"favicon":"https://mintcdn.com/blockradar/pWmNem5D_2FL-GuR/favicon.svg?fit=max\u0026auto=format\u0026n=pWmNem5D_2FL-GuR\u0026q=85\u0026s=541d691d2a4884397ad3b6f9c46c3156","navbar":{"primary":{"type":"button","label":"Dashboard","href":"https://dashboard.blockradar.co"}},"footer":{"socials":{"x":"https://x.com/BlockradarHQ","github":"https://github.com/blockradar","linkedin":"https://www.linkedin.com/company/blockradar"}},"integrations":{"clarity":{"projectId":"w916yxac3p"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"interaction":{"drilldown":false},"styling":{"latex":true},"navigation":{"languages":[{"language":"en","href":"en/introduction/why-blockradar"},{"language":"es","href":"es/introduction/why-blockradar"},{"language":"pt","href":"pt/introduction/why-blockradar"},{"language":"fr","href":"fr/introduction/why-blockradar"},{"language":"zh","href":"zh/introduction/why-blockradar"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"blockradar","hasAudioNarration":false,"actualSubdomain":"blockradar","customDomains":["docs.blockradar.co"],"gitSource":{"type":"github","owner":"blockradar","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ac8e417f1343267037f6d34","collectionId":"625a1a96-751f-48f7-b22d-e34c2d99aea5","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ac8e417f1343267037f6d34"},"entitlements":{},"buildId":"6ac8e417f1343267037f6d34","clientVersion":"0.0.3908","searchFilterCounts":[{"language":"es","tag":"API","count":188},{"language":"fr","tag":"Référence API","count":188},{"language":"pt","tag":"API","count":188},{"language":"zh","tag":"API 参考","count":188},{"language":"default","tag":"API 参考","count":169},{"language":"en","tag":"API","count":167},{"language":"en","tag":"Docs","count":62},{"language":"es","tag":"Documentación","count":60},{"language":"fr","tag":"Documentation","count":60},{"language":"pt","tag":"Documentação","count":60},{"language":"zh","tag":"文档","count":60},{"language":"en","tag":"Get Started","count":34},{"language":"es","tag":"Comenzar","count":33},{"language":"fr","tag":"Démarrage","count":33},{"language":"pt","tag":"Começar","count":33},{"language":"zh","tag":"开始使用","count":33},{"language":"es","tag":"Virtual Accounts","count":27},{"language":"fr","tag":"Virtual Accounts","count":27},{"language":"pt","tag":"Virtual Accounts","count":27},{"language":"zh","tag":"Virtual Accounts","count":27},{"language":"en","tag":"v2","count":25},{"language":"es","tag":"v2","count":25},{"language":"fr","tag":"v2","count":25},{"language":"pt","tag":"v2","count":25},{"language":"zh","tag":"v2","count":25},{"language":"en","tag":"API Overview","count":21},{"language":"es","tag":"v1","count":21},{"language":"fr","tag":"v1","count":21},{"language":"pt","tag":"v1","count":21},{"language":"zh","tag":"v1","count":21},{"language":"default","tag":"API","count":21},{"language":"default","tag":"v1","count":21},{"language":"es","tag":"API Overview","count":20},{"language":"fr","tag":"API Overview","count":20},{"language":"pt","tag":"API Overview","count":20},{"language":"zh","tag":"API Overview","count":20},{"language":"es","tag":"Withdraw Fiat","count":19},{"language":"fr","tag":"Withdraw Fiat","count":19},{"language":"pt","tag":"Withdraw Fiat","count":19},{"language":"zh","tag":"Withdraw Fiat","count":19},{"language":"en","tag":"Auto Settlements","count":15},{"language":"en","tag":"Virtual Accounts","count":15},{"language":"es","tag":"Auto Settlements","count":15},{"language":"fr","tag":"Auto Settlements","count":15},{"language":"pt","tag":"Auto Settlements","count":15},{"language":"zh","tag":"Auto Settlements","count":15},{"language":"default","tag":"Auto Settlements","count":15},{"language":"default","tag":"Virtual Accounts V2","count":15},{"language":"en","tag":"Deposit Fiat","count":14},{"language":"es","tag":"Deposit Fiat","count":14},{"language":"fr","tag":"Deposit Fiat","count":14},{"language":"pt","tag":"Deposit Fiat","count":14},{"language":"zh","tag":"Deposit Fiat","count":14},{"language":"default","tag":"Deposit Fiat","count":14},{"language":"en","tag":"Gateway","count":13},{"language":"default","tag":"Gateway","count":13},{"language":"en","tag":"Wallets","count":12},{"language":"default","tag":"Virtual Accounts","count":12},{"language":"default","tag":"Addresses","count":11},{"language":"default","tag":"Rewards","count":10}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-branches-v2-autocommit","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-branches-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"teamspace","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"client-snapshot-docs-config","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#sidebar li[data-title]>button[aria-label^=Toggle]{align-items:center}#sidebar li[data-title]>button[aria-label^=Toggle]>svg:last-child{margin-left:auto}table td,table th{word-break:normal;overflow-wrap:normal;hyphens:none}table th{white-space:nowrap}"}],"page":{"pagePath":"en/api-reference/introduction","slug":"/en/api-reference/introduction","pageMetadata":{"title":"Introduction","description":"Learn how to seamlessly integrate our APIs into your application.","icon":"circle","href":"/en/api-reference/introduction"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Learn how to seamlessly integrate our APIs into your application.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{Card,CodeBlock,Heading,Note,Table}=_components;if(!Card)_missingMdxReference(`Card`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(Note,{children:_jsxs(_components.p,{children:[`Before you begin!`,_jsx(`br`,{}),`\nYou should create a free Blockradar account that you can test the API against. We will provide you with test keys that you can use to make API calls.`]})}),`\n`,_jsx(Card,{title:`Postman Collection`,icon:`leaf`,href:`https://documenter.getpostman.com/view/7709133/2s93eSYaVs`,children:_jsx(_components.p,{children:`View the Postman Collection`})}),`\n`,_jsx(_components.p,{children:`The Blockradar API gives you access to pretty much all the features you can use on our dashboard and lets you extend them for use in your product. It strives to be RESTful and is organized around the main resources you would be interacting with - with a few notable exceptions.`}),`\n`,_jsx(Heading,{level:`3`,id:`sample-requests`,children:`Sample Requests`}),`\n`,_jsxs(_components.p,{children:[`We provide sample API calls next to each method `,_jsx(_components.a,{href:`https://curl.se/`,children:`using cURL`}),`. All you need to do is insert your specific parameters, and you can test the calls from the command line. See this tutorial on `,_jsx(_components.a,{href:`https://www.baeldung.com/curl-rest`,children:`using cURL with APIs`}),`.`]}),`\n`,_jsxs(_components.p,{children:[`You can also `,_jsx(_components.a,{href:`https://www.postman.com/downloads/`,children:`use Postman`}),` if you aren’t familiar with cURL. Postman is an easy to use API development and testing platform. You can explore the `,_jsx(_components.a,{href:`https://documenter.getpostman.com/view/7709133/2s93eSYaVs`,children:`Blockradar Postman Collection`}),` to understand how our APIs work.`]}),`\n`,_jsx(Heading,{level:`3`,id:`requests-and-response`,children:`Requests and Response`}),`\n`,_jsx(_components.p,{children:`Both request body data and response data are formatted as JSON. Content type for responses will always be application/json. Generally, all responses will be in the following format:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"statusCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"[number]\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"[string]\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"[object]\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`keys`,children:`Keys`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Property`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`statusCode`}),_jsx(_components.td,{children:`number`}),_jsx(_components.td,{children:`This is the request status code that lets you know if your request was succesful or not. We recommend that you use this to determine the result of an API call.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`message`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`This is a summary of the response and its status. For instance when trying to retrieve a list of customers, message might read “Transactions fetched successfully”. In the event of an error, the message key will contain a description of the error as with the authorization header situation above. This is the only key that is universal across requests.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`data`}),_jsx(_components.td,{children:`object`}),_jsx(_components.td,{children:`This contain the results of your request. It can either be an object, or an array depending on the request made. For instance, a request to retrieve a single transaction will return a transaction object in the data key, while the key would be an array of transactions if a list is requested instead.`})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`meta-object`,children:`Meta Object`}),`\n`,_jsx(_components.p,{children:`The meta key is used to provide context for the contents of the data key. For instance, if a list of transactions performed by a customer is being retrieved, pagination parameters can be passed along to limit the result set. The meta key will then contain an object with the following attributes:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`9`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`9`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"meta\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"totalItems\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`704`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"itemCount\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`100`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"itemsPerPage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`100`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"totalPages\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`8`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currentPage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Property`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`totalItems`}),_jsx(_components.td,{children:`The total number of items available. This represents the complete count of items across all pages.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`itemCount`}),_jsx(_components.td,{children:`The number of items on the current page. This indicates how many items are being returned in the current response.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`itemsPerPage`}),_jsxs(_components.td,{children:[`The maximum number of items per page. This defines the pagination limit set for each page. `,_jsx(_components.strong,{children:`Default: 100`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`totalPages`}),_jsx(_components.td,{children:`The total number of pages available. This is calculated based on the total number of items and the number of items per page.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`currentPage`}),_jsxs(_components.td,{children:[`The current page number. This indicates which page of the pagination is being returned in the current response. `,_jsx(_components.strong,{children:`Default: 1`})]})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Introduction","description":"Learn how to seamlessly integrate our APIs into your application.","icon":"circle","href":"/en/api-reference/introduction"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Sample Requests","slug":"sample-requests","depth":3,"children":[]},{"title":"Requests and Response","slug":"requests-and-response","depth":3,"children":[]},{"title":"Keys","slug":"keys","depth":3,"children":[]},{"title":"Meta Object","slug":"meta-object","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/blockradar/1e452ad7777997b4/scripts/patch-openapi.js"],"subdomain":"blockradar","siteName":"Blockradar","title":"Introduction - Blockradar","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/en/api-reference/introduction","matchLevel":0},"es":{"href":"/es/api-reference/introduction","matchLevel":1},"pt":{"href":"/pt/api-reference/introduction","matchLevel":1},"fr":{"href":"/fr/api-reference/introduction","matchLevel":1},"zh":{"href":"/zh/api-reference/introduction","matchLevel":1}}},"lastModified":"2026-04-22T12:37:16.664Z","originalFileLocation":"en/api-reference/introduction.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Learn how to seamlessly integrate our APIs into your application.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Blockradar\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/blockradar/0DqStYyDz-lsxOVV/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/blockradar/0DqStYyDz-lsxOVV/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/blockradar/0DqStYyDz-lsxOVV/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/blockradar/0DqStYyDz-lsxOVV/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/blockradar/0DqStYyDz-lsxOVV/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/blockradar/0DqStYyDz-lsxOVV/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/blockradar/0DqStYyDz-lsxOVV/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/blockradar/0DqStYyDz-lsxOVV/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/blockradar/0DqStYyDz-lsxOVV/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Introduction - Blockradar\">\u003cmeta data-mint-head property=\"og:description\" content=\"Learn how to seamlessly integrate our APIs into your application.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Blockradar\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.blockradar.co/en/api-reference/introduction\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Introduction - Blockradar\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Learn how to seamlessly integrate our APIs into your application.\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/blockradar/0DqStYyDz-lsxOVV/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Blockradar\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0D9373\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.blockradar.co/en/api-reference/introduction\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/en/api-reference/introduction.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://docs.blockradar.co/en/api-reference/introduction\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"es\" href=\"https://docs.blockradar.co/es/api-reference/introduction\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"pt\" href=\"https://docs.blockradar.co/pt/api-reference/introduction\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"fr\" href=\"https://docs.blockradar.co/fr/api-reference/introduction\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"zh\" href=\"https://docs.blockradar.co/zh/api-reference/introduction\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://docs.blockradar.co/en/api-reference/introduction\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.blockradar.co/#organization\",\"name\":\"Blockradar\",\"url\":\"https://docs.blockradar.co\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/blockradar/fWg7SGpNBqmitg8P/logo/light.png?fit=max\u0026auto=format\u0026n=fWg7SGpNBqmitg8P\u0026q=85\u0026s=32dafe22efea13faac14c1c4af5f9fa3\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.blockradar.co#website\",\"name\":\"Blockradar\",\"url\":\"https://docs.blockradar.co\",\"publisher\":{\"@id\":\"https://docs.blockradar.co/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.blockradar.co/en/api-reference/introduction#webpage\",\"url\":\"https://docs.blockradar.co/en/api-reference/introduction\",\"name\":\"Introduction\",\"description\":\"Learn how to seamlessly integrate our APIs into your application.\",\"dateModified\":\"2026-04-22T12:37:16.664Z\",\"isPartOf\":{\"@id\":\"https://docs.blockradar.co#website\"},\"breadcrumb\":{\"@id\":\"https://docs.blockradar.co/en/api-reference/introduction#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.blockradar.co/en/api-reference/introduction#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Blockradar\",\"item\":\"https://docs.blockradar.co\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Introduction\",\"item\":\"https://docs.blockradar.co/en/api-reference/introduction\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.blockradar.co/en/api-reference/introduction#article\",\"headline\":\"Introduction\",\"name\":\"Introduction\",\"description\":\"Learn how to seamlessly integrate our APIs into your application.\",\"url\":\"https://docs.blockradar.co/en/api-reference/introduction\",\"mainEntityOfPage\":{\"@id\":\"https://docs.blockradar.co/en/api-reference/introduction#webpage\"},\"dateModified\":\"2026-04-22T12:37:16.664Z\",\"publisher\":{\"@id\":\"https://docs.blockradar.co/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.blockradar.co#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Blockradar\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Blockradar","nav":{"global":null,"languages":[{"language":"en","tabs":[{"tab":"Docs","pages":[{"title":"Docs","href":"/en/introduction/why-blockradar"}]},{"tab":"Security","pages":[{"title":"Security","href":"/en/security/introduction"}]},{"tab":"API","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","icon":"circle","href":"/en/api-reference/introduction"},{"title":"Authentication","description":"Authenticate your API calls by including your api key in the request header of every request you make. You can manage your API keys from the [dashboard](https://dashboard.blockradar.co).","icon":"lock","href":"/en/api-reference/authentication"},{"title":"Errors","icon":"exclamation","href":"/en/api-reference/errors"}]},{"group":"Wallet","pages":[{"openapi":"get /v1/wallets/{walletId}","title":"Get Wallet","href":"/en/api-reference/wallet/get-wallet"},{"openapi":"patch /v1/wallets/{walletId}","title":"Update wallet","href":"/en/api-reference/wallet/update-wallet"},{"openapi":"get /v1/wallets/{walletId}/balance","title":"Get Balance","href":"/en/api-reference/wallet/get-balance"},{"openapi":"get /v1/wallets/{walletId}/balances","title":"Get Balances","href":"/en/api-reference/wallet/get-balances"},{"openapi":"post /v1/wallets/{id}/rescan/blocks","title":"Deposit Finder","href":"/en/api-reference/wallet/deposit-finder"},{"openapi":"post /v1/wallets/{walletId}/sweep/assets","title":"Trigger Sweep Assets","href":"/en/api-reference/wallet/trigger-sweep-assets"},{"openapi":"get /v1/wallets/{walletId}/webhooks","title":"Webhooks Logs","href":"/en/api-reference/wallet/webhooks-logs"}]},{"group":"Addresses","pages":[{"openapi":"get /v1/wallets/{walletId}/addresses","title":"Get Addresses","href":"/en/api-reference/addresses/get-addresses"},{"openapi":"post /v1/wallets/{walletId}/addresses","title":"Generate Address","href":"/en/api-reference/addresses/generate-address"},{"openapi":"get /v1/wallets/{walletId}/addresses/{addressId}","title":"Get Address","href":"/en/api-reference/addresses/get-address"},{"openapi":"patch /v1/wallets/{walletId}/addresses/{addressId}","title":"Update Address","href":"/en/api-reference/addresses/update-address"},{"openapi":"post /v1/wallets/{walletId}/addresses/whitelist","title":"Whitelist address","href":"/en/api-reference/addresses/whitelist-address"},{"openapi":"delete /v1/wallets/{walletId}/addresses/whitelist/{addressId}","title":"Unwhitelist address","href":"/en/api-reference/addresses/unwhitelist-address"},{"openapi":"get /v1/wallets/{walletId}/addresses/{addressId}/balance","title":"Get Balance","href":"/en/api-reference/addresses/get-balance"},{"openapi":"get /v1/wallets/{walletId}/addresses/{addressId}/balances","title":"Get Balances","href":"/en/api-reference/addresses/get-balances"},{"openapi":"get /v1/wallets/{walletId}/addresses/{addressId}/transactions","title":"Get transactions","href":"/en/api-reference/addresses/get-transactions"},{"openapi":"get /v1/wallets/{walletId}/addresses/{addressId}/transactions/{id}","title":"Get transaction","href":"/en/api-reference/addresses/get-transaction"},{"openapi":"get /v1/addresses/validate","title":"Validate Address","href":"/en/api-reference/addresses/validate-address"}]},{"group":"Customer","pages":[{"title":"Create Customer","openapi":"post /v1/customers","href":"/en/api-reference/customer/create"},{"title":"List Customers","openapi":"get /v1/customers","href":"/en/api-reference/customer/list"},{"title":"Get Customer","openapi":"get /v1/customers/{customerId}","href":"/en/api-reference/customer/get"},{"title":"Update Customer","openapi":"patch /v1/customers/{customerId}","href":"/en/api-reference/customer/update"},{"group":"Onboarding","pages":[{"openapi":"post /v1/customers/{customerId}/onboarding-requests","title":"Create Customer Onboarding Request","href":"/en/api-reference/customer-onboarding/create-request"},{"openapi":"get /v1/customers/{customerId}/onboarding-requests","title":"List Customer Onboarding Requests","href":"/en/api-reference/customer-onboarding/list-requests"},{"openapi":"get /v1/customers/{customerId}/onboarding-requests/{caseId}","title":"Get Customer Onboarding Request","href":"/en/api-reference/customer-onboarding/get-request"},{"openapi":"post /v1/customers/{customerId}/onboarding-requests/{caseId}/submit","title":"Submit Customer Onboarding Requirements","href":"/en/api-reference/customer-onboarding/submit-request"},{"openapi":"post /v1/onboarding/cases/{caseId}/uploads/prepare","title":"Prepare Customer Onboarding Uploads","href":"/en/api-reference/customer-onboarding/prepare-uploads"},{"openapi":"post /v1/onboarding/cases/{caseId}/uploads/{uploadId}","title":"Upload Prepared Customer Document","href":"/en/api-reference/customer-onboarding/upload-prepared-document"},{"openapi":"get /v1/onboarding/cases/{caseId}/confirmation-requirements","title":"Get Customer Onboarding Confirmation Requirements","href":"/en/api-reference/customer-onboarding/get-confirmation-requirements"},{"openapi":"post /v1/onboarding/cases/{caseId}/confirmation","title":"Submit Customer Onboarding Confirmation","href":"/en/api-reference/customer-onboarding/submit-confirmation"}]}]},{"group":"Asset","pages":[{"openapi":"get /v1/wallets/{walletId}/assets","title":"Get Wallet Assets","href":"/en/api-reference/asset/get-wallet-assets"},{"openapi":"post /v1/wallets/{walletId}/assets","title":"Add Asset to Wallet","href":"/en/api-reference/asset/add-asset-to-wallet"},{"openapi":"delete /v1/wallets/{walletId}/assets/{assetId}","title":"Remove Asset from Wallet","href":"/en/api-reference/asset/remove-asset-from-wallet"},{"openapi":"patch /v1/wallets/{walletId}/assets/{assetId}","title":"Update Wallet Asset","href":"/en/api-reference/asset/update-wallet-asset"}]},{"group":"Transactions","pages":[{"openapi":"get /v1/wallets/{walletId}/transactions","title":"Get Transactions","href":"/en/api-reference/transactions/get-transactions"},{"openapi":"get /v1/wallets/{walletId}/transactions/{id}","title":"Get transaction","href":"/en/api-reference/transactions/get-transaction"},{"openapi":"post /v1/wallets/{walletId}/transactions/webhooks/resend","title":"Resend Webhook","href":"/en/api-reference/transactions/resend-webhook"},{"openapi":"get /v1/wallets/{walletId}/transactions/{transactionsId}/webhooks","title":"Webhook Logs","href":"/en/api-reference/transactions/webhook-logs"},{"openapi":"post /v1/wallets/{walletId}/transactions/sweep/assets","title":"Trigger Asset Sweep","href":"/en/api-reference/transactions/trigger-asset-sweep"},{"openapi":"post /v1/wallets/{walletId}/transactions/retry","title":"Retry Transaction","href":"/en/api-reference/transactions/retry-transaction"},{"openapi":"post /v1/wallets/{walletId}/transactions/cancel","title":"Cancel Transaction","href":"/en/api-reference/transactions/cancel-transaction"}]},{"group":"Withdraw","pages":[{"openapi":"post /v1/wallets/{walletId}/withdraw","title":"Master Wallet","href":"/en/api-reference/withdraw/master-wallet"},{"openapi":"post /v1/wallets/{walletId}/withdraw/sign","title":"Master Wallet Sign-Only","href":"/en/api-reference/withdraw/master-wallet-sign-only"},{"openapi":"post /v1/wallets/{walletId}/withdraw/network-fee","title":"Master Wallet Network Fee","href":"/en/api-reference/withdraw/master-wallet-network-fee"},{"openapi":"post /v1/wallets/{walletId}/addresses/{addressId}/withdraw","title":"Child Address","href":"/en/api-reference/withdraw/child-address"},{"openapi":"post /v1/wallets/{walletId}/addresses/{addressId}/withdraw/sign","title":"Child Address Sign-Only","href":"/en/api-reference/withdraw/child-address-sign-only"},{"openapi":"post /v1/wallets/{walletId}/addresses/{addressId}/withdraw/network-fee","title":"Child Address Network Fee","href":"/en/api-reference/withdraw/child-address-network-fee"}]},{"group":"Withdraw Fiat","pages":[{"group":"v2","tag":"Recommended","expanded":true,"pages":[{"openapi":"get /v2/wallets/{id}/withdraw/fiat/assets","title":"Get Supported Assets","href":"/en/api-reference/withdraw-fiat/get-supported-assets-v2"},{"openapi":"get /v2/wallets/{id}/withdraw/fiat/currencies","title":"Get Supported Currencies","href":"/en/api-reference/withdraw-fiat/get-supported-currencies-v2"},{"openapi":"get /v2/wallets/{id}/withdraw/fiat/rates","title":"Get Exchange Rates","href":"/en/api-reference/withdraw-fiat/get-exchange-rates-v2"},{"openapi":"get /v2/wallets/{id}/withdraw/fiat/payment-methods","title":"Get Payment Methods","href":"/en/api-reference/withdraw-fiat/get-payment-methods-v2"},{"openapi":"get /v2/wallets/{id}/withdraw/fiat/payment-method-requirements","title":"Get Payment Method Requirements","href":"/en/api-reference/withdraw-fiat/payment-method-requirements-v2"},{"openapi":"post /v2/wallets/{id}/withdraw/fiat/payment-method/resolve","title":"Resolve Payment Method Requirements","href":"/en/api-reference/withdraw-fiat/resolve-payment-method-v2"},{"openapi":"post /v2/wallets/{id}/withdraw/fiat/quote","title":"Master Wallet Get Quote","href":"/en/api-reference/withdraw-fiat/master-wallet-get-quote-v2"},{"openapi":"post /v2/wallets/{id}/withdraw/fiat/execute","title":"Master Wallet Execute","href":"/en/api-reference/withdraw-fiat/master-wallet-execute-v2"},{"openapi":"post /v2/wallets/{walletId}/addresses/{addressId}/withdraw/fiat/quote","title":"Child Address Get Quote","href":"/en/api-reference/withdraw-fiat/child-address-get-quote-v2"},{"openapi":"post /v2/wallets/{walletId}/addresses/{addressId}/withdraw/fiat/execute","title":"Child Address Execute","href":"/en/api-reference/withdraw-fiat/child-address-execute-v2"}]},{"group":"v1","expanded":false,"pages":[{"title":"Get Supported Assets","deprecated":null,"version":null,"openapi":"/openapi.yml get /v1/wallets/{walletId}/withdraw/fiat/assets","href":"/api-reference/withdraw-fiat/get-supported-assets"},{"title":"Get Currencies","deprecated":null,"version":null,"openapi":"/openapi.yml get /v1/wallets/{walletId}/withdraw/fiat/currencies","href":"/api-reference/withdraw-fiat/get-currencies"},{"title":"Get Exchange Rates","deprecated":null,"version":null,"openapi":"/openapi.yml get /v1/wallets/{walletId}/withdraw/fiat/rates","href":"/api-reference/withdraw-fiat/get-exchange-rates"},{"title":"Get Institutions","deprecated":null,"version":null,"openapi":"/openapi.yml get /v1/wallets/{walletId}/withdraw/fiat/institutions","href":"/api-reference/withdraw-fiat/get-institutions"},{"title":"Verify Institution Account","deprecated":null,"version":null,"openapi":"/openapi.yml post /v1/wallets/{walletId}/withdraw/fiat/institution-account-verification","href":"/api-reference/withdraw-fiat/verify-institution-account"},{"title":"Master Wallet Get Quote","deprecated":null,"version":null,"openapi":"/openapi.yml post /v1/wallets/{walletId}/withdraw/fiat/quote","href":"/api-reference/withdraw-fiat/master-wallet-get-quote"},{"title":"Master Wallet Execute","deprecated":null,"version":null,"openapi":"/openapi.yml post /v1/wallets/{walletId}/withdraw/fiat/execute","href":"/api-reference/withdraw-fiat/master-wallet-execute"},{"title":"Child Address Get Quote","deprecated":null,"version":null,"openapi":"/openapi.yml post /v1/wallets/{walletId}/addresses/{addressId}/withdraw/fiat/quote","href":"/api-reference/withdraw-fiat/child-address-get-quote"},{"title":"Child Address Execute","deprecated":null,"version":null,"openapi":"/openapi.yml post /v1/wallets/{walletId}/addresses/{addressId}/withdraw/fiat/execute","href":"/api-reference/withdraw-fiat/child-address-execute"}]}]},{"group":"Signing","pages":[{"openapi":"post /v1/wallets/{id}/signing/typed-data","title":"Master Wallet Typed data","href":"/en/api-reference/signing/master-wallet-typed-data"},{"openapi":"post /v1/wallets/{id}/signing/message","title":"Master Wallet Message","href":"/en/api-reference/signing/master-wallet-message"},{"openapi":"post /v1/wallets/{id}/signing/transaction","title":"Master Wallet Sign Transaction","href":"/en/api-reference/signing/master-wallet-sign-transaction"},{"openapi":"post /v1/wallets/{id}/signing/broadcast","title":"Master Wallet Broadcast Transaction","href":"/en/api-reference/signing/master-wallet-broadcast-transaction"},{"openapi":"post /v1/wallets/{id}/addresses/{addressId}/signing/typed-data","title":"Child Address Typed data","href":"/en/api-reference/signing/child-address-typed-data"},{"openapi":"post /v1/wallets/{id}/addresses/{addressId}/signing/message","title":"Child Address Message","href":"/en/api-reference/signing/child-address-message"},{"openapi":"post /v1/wallets/{id}/addresses/{addressId}/signing/transaction","title":"Child Address Sign Transaction","href":"/en/api-reference/signing/child-address-sign-transaction"},{"openapi":"post /v1/wallets/{id}/addresses/{addressId}/signing/broadcast","title":"Child Address Broadcast Transaction","href":"/en/api-reference/signing/child-address-broadcast-transaction"}]},{"group":"Swap","pages":[{"openapi":"post /v1/wallets/{walletId}/swaps/quote","title":"Master Wallet Get Quote","href":"/en/api-reference/swap/master-wallet-get-quote"},{"openapi":"post /v1/wallets/{walletId}/swaps/execute","title":"Master Wallet Execute","href":"/en/api-reference/swap/master-wallet-execute"},{"openapi":"post /v1/wallets/{walletId}/addresses/{addressId}/swaps/quote","title":"Child Address Get Quote","href":"/en/api-reference/swap/child-address-get-quote"},{"openapi":"post /v1/wallets/{walletId}/addresses/{addressId}/swaps/execute","title":"Child Address Execute","href":"/en/api-reference/swap/child-address-execute"}]},{"group":"Liquidity Pool","pages":[{"openapi":"post /v1/rates","title":"Create Rate","href":"/en/api-reference/liquidity-pool/create-rate"},{"openapi":"get /v1/rates/check-pair","title":"Check Pair","href":"/en/api-reference/liquidity-pool/check-pair"},{"openapi":"get /v1/rates/market-benchmark","title":"Get Market Benchmark","href":"/en/api-reference/liquidity-pool/get-market-benchmark"},{"openapi":"get /v1/rates/treasury-balances","title":"Get Treasury Balances","href":"/en/api-reference/liquidity-pool/get-treasury-balances"},{"openapi":"get /v1/rates/{id}","title":"Get Rate","href":"/en/api-reference/liquidity-pool/get-rate"},{"openapi":"patch /v1/rates/{id}","title":"Update Rate","href":"/en/api-reference/liquidity-pool/update-rate"},{"openapi":"get /v1/rates/{id}/history","title":"Get Rate History","href":"/en/api-reference/liquidity-pool/get-rate-history"},{"openapi":"patch /v1/rates/{id}/deactivate","title":"Deactivate Rate","href":"/en/api-reference/liquidity-pool/deactivate-rate"},{"openapi":"patch /v1/rates/{id}/reactivate","title":"Reactivate Rate","href":"/en/api-reference/liquidity-pool/reactivate-rate"}]},{"group":"Virtual Accounts","pages":[{"group":"v2","tag":"Recommended","expanded":true,"pages":[{"openapi":"get /v2/wallets/{id}/virtual-accounts","title":"List Virtual Accounts","href":"/en/api-reference/virtual-accounts/master-wallet-get-all-v2"},{"openapi":"get /v2/wallets/{id}/virtual-accounts/{virtualAccountId}","title":"Get Virtual Account","href":"/en/api-reference/virtual-accounts/master-wallet-get-one-v2"},{"openapi":"get /v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts","title":"Child Address List","href":"/en/api-reference/virtual-accounts/child-address-get-all-v2"},{"openapi":"get /v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}","title":"Child Address Get","href":"/en/api-reference/virtual-accounts/child-address-get-one-v2"},{"openapi":"get /v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}/transactions","title":"Child Address Transactions","href":"/en/api-reference/virtual-accounts/child-address-transactions-v2"},{"openapi":"get /v2/wallets/{id}/virtual-accounts/discovery","title":"Discover Options","href":"/en/api-reference/virtual-accounts/discovery-v2"},{"openapi":"get /v2/wallets/{id}/virtual-accounts/requirements","title":"Get Requirements","href":"/en/api-reference/virtual-accounts/requirements-v2"},{"openapi":"get /v2/wallets/{id}/virtual-accounts/{virtualAccountId}/destination/discovery","title":"Discover Destination Options","href":"/en/api-reference/virtual-accounts/destination-discovery-v2"},{"openapi":"patch /v2/wallets/{id}/virtual-accounts/{virtualAccountId}/destination","title":"Change Destination","href":"/en/api-reference/virtual-accounts/change-destination-v2"},{"openapi":"post /v2/wallets/{id}/virtual-accounts","title":"Master Wallet Account Create","href":"/en/api-reference/virtual-accounts/master-wallet-create-v2"},{"openapi":"post /v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts","title":"Child Address Account Create","href":"/en/api-reference/virtual-accounts/child-address-create-v2"},{"openapi":"post /v2/wallets/{id}/virtual-accounts/{virtualAccountId}/regenerate","title":"Master Wallet Account Regenerate","href":"/en/api-reference/virtual-accounts/master-wallet-regenerate-v2"},{"openapi":"post /v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}/regenerate","title":"Child Address Account Regenerate","href":"/en/api-reference/virtual-accounts/child-address-regenerate-v2"},{"openapi":"patch /v2/wallets/{id}/virtual-accounts/{virtualAccountId}","title":"Master Wallet Account Update","href":"/en/api-reference/virtual-accounts/master-wallet-update-v2"},{"openapi":"patch /v2/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}","title":"Child Address Account Update","href":"/en/api-reference/virtual-accounts/child-address-update-v2"}]},{"group":"v1","expanded":false,"pages":[{"title":"Master Wallet Get All","deprecated":null,"version":null,"openapi":"/openapi.yml get /v1/wallets/{id}/virtual-accounts","href":"/api-reference/virtual-accounts/master-wallet-get-all"},{"title":"Master Wallet Get One","deprecated":null,"version":null,"openapi":"/openapi.yml get /v1/wallets/{id}/virtual-accounts/{vId}","href":"/api-reference/virtual-accounts/master-wallet-get-one"},{"title":"Master Wallet Transactions","deprecated":null,"version":null,"openapi":"/openapi.yml get /v1/wallets/{id}/virtual-accounts/{vId}/transactions","href":"/api-reference/virtual-accounts/master-wallet-transactions"},{"title":"Child Address Get All","deprecated":null,"version":null,"openapi":"/openapi.yml get /v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts","href":"/api-reference/virtual-accounts/child-address-get-all"},{"title":"Child Address Get One","deprecated":null,"version":null,"openapi":"/openapi.yml get /v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}","href":"/api-reference/virtual-accounts/child-address-get-one"},{"title":"Child Address Transactions","deprecated":null,"version":null,"openapi":"/openapi.yml get /v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}/transactions","href":"/api-reference/virtual-accounts/child-address-transactions"},{"title":"Master Wallet Update","deprecated":null,"version":null,"openapi":"/openapi.yml patch /v1/wallets/{walletId}/virtual-accounts/{id}","href":"/api-reference/virtual-accounts/master-wallet-update"},{"title":"Child Address Update","deprecated":null,"version":null,"openapi":"/openapi.yml patch /v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}","href":"/api-reference/virtual-accounts/child-address-update"},{"title":"Master Wallet Create","deprecated":null,"version":null,"openapi":"/openapi.yml post /v1/wallets/{id}/virtual-accounts","href":"/api-reference/virtual-accounts/master-wallet-create"},{"title":"Master Wallet Regenerate","deprecated":null,"version":null,"openapi":"/openapi.yml post /v1/wallets/{id}/virtual-accounts/{vId}/regenerate","href":"/api-reference/virtual-accounts/master-wallet-regenerate"},{"title":"Child Address Create","deprecated":null,"version":null,"openapi":"/openapi.yml post /v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts","href":"/api-reference/virtual-accounts/child-address-create"},{"title":"Child Address Regenerate","deprecated":null,"version":null,"openapi":"/openapi.yml post /v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}/regenerate","href":"/api-reference/virtual-accounts/child-address-regenerate"}]}]},{"group":"Deposit Fiat","pages":[{"title":"Get Supported Assets","openapi":"get /v1/wallets/{id}/deposit/fiat/assets","href":"/en/api-reference/deposit-fiat/get-supported-assets"},{"title":"Get Supported Currencies","openapi":"get /v1/wallets/{id}/deposit/fiat/currencies","href":"/en/api-reference/deposit-fiat/get-supported-currencies"},{"title":"Get Supported Rails","openapi":"get /v1/wallets/{id}/deposit/fiat/rails","href":"/en/api-reference/deposit-fiat/get-supported-rails"},{"openapi":"post /v1/wallets/{id}/deposit/fiat/quote","title":"Master Wallet Get Quote","href":"/en/api-reference/deposit-fiat/master-wallet-get-quote"},{"openapi":"post /v1/wallets/{id}/deposit/fiat/payment-order-requirements/resolve","title":"Resolve Payment Order Requirements","href":"/en/api-reference/deposit-fiat/resolve-payment-order-requirements"},{"openapi":"post /v1/wallets/{id}/deposit/fiat/orders","title":"Master Wallet Create Payment Order","href":"/en/api-reference/deposit-fiat/master-wallet-create-payment-order"},{"title":"List Payment Orders","openapi":"get /v1/wallets/{id}/deposit/fiat/orders","href":"/en/api-reference/deposit-fiat/master-wallet-list-payment-orders"},{"title":"Get Payment Order","openapi":"get /v1/wallets/{id}/deposit/fiat/orders/{orderId}","href":"/en/api-reference/deposit-fiat/master-wallet-get-payment-order"},{"title":"Refresh Payment Order","openapi":"post /v1/wallets/{id}/deposit/fiat/orders/{orderId}/refresh","href":"/en/api-reference/deposit-fiat/master-wallet-refresh-payment-order"},{"title":"Cancel Payment Order","openapi":"post /v1/wallets/{id}/deposit/fiat/orders/{orderId}/cancel","href":"/en/api-reference/deposit-fiat/master-wallet-cancel-payment-order"},{"title":"Get Child Address Quote","openapi":"post /v1/wallets/{walletId}/addresses/{addressId}/deposit/fiat/quote","href":"/en/api-reference/deposit-fiat/child-address-get-quote"},{"title":"Create Child Address Payment Order","openapi":"post /v1/wallets/{walletId}/addresses/{addressId}/deposit/fiat/orders","href":"/en/api-reference/deposit-fiat/child-address-create-payment-order"},{"title":"List Child Address Payment Orders","openapi":"get /v1/wallets/{walletId}/addresses/{addressId}/deposit/fiat/orders","href":"/en/api-reference/deposit-fiat/child-address-list-payment-orders"},{"title":"Webhooks","href":"/en/api-reference/deposit-fiat/payment-order-webhooks"}]},{"group":"Auto Settlements","pages":[{"openapi":"get /v1/wallets/{walletId}/auto-settlements","title":"Master Wallet","href":"/en/api-reference/auto-settlements/master-wallet"},{"openapi":"patch /v1/wallets/{walletId}/auto-settlements","title":"Master Wallet Update","href":"/en/api-reference/auto-settlements/master-wallet-update"},{"openapi":"get /v1/wallets/{walletId}/auto-settlements/rules","title":"Master Wallet Get Rules","href":"/en/api-reference/auto-settlements/master-wallet-get-rules"},{"openapi":"post /v1/wallets/{walletId}/auto-settlements/rules","title":"Master Wallet Create Rule","href":"/en/api-reference/auto-settlements/master-wallet-create-rule"},{"openapi":"get /v1/wallets/{walletId}/auto-settlements/rules/{id}","title":"Master Wallet Get Rule","href":"/en/api-reference/auto-settlements/master-wallet-get-rule"},{"openapi":"delete /v1/wallets/{walletId}/auto-settlements/rules/{id}","title":"Master Wallet Delete Rule","href":"/en/api-reference/auto-settlements/master-wallet-delete-rule"},{"openapi":"patch /v1/wallets/{walletId}/auto-settlements/rules/{id}","title":"Master Wallet Update Rule","href":"/en/api-reference/auto-settlements/master-wallet-update-rule"},{"openapi":"post /v1/wallets/{walletId}/auto-settlements/rules/copy","title":"Master Wallet Copy Rules","href":"/en/api-reference/auto-settlements/master-wallet-copy-rules"},{"openapi":"get /v1/wallets/{walletId}/addresses/{addressId}/auto-settlements","title":"Child Address","href":"/en/api-reference/auto-settlements/child-address"},{"openapi":"patch /v1/wallets/{walletId}/addresses/{addressId}/auto-settlements","title":"Child Address Update","href":"/en/api-reference/auto-settlements/child-address-update"},{"openapi":"get /v1/wallets/{walletId}/addresses/{addressId}/auto-settlements/rules","title":"Child Address Get Rules","href":"/en/api-reference/auto-settlements/child-address-get-rules"},{"openapi":"post /v1/wallets/{walletId}/addresses/{addressId}/auto-settlements/rules","title":"Child Address Create Rule","href":"/en/api-reference/auto-settlements/child-address-create-rule"},{"openapi":"get /v1/wallets/{walletId}/addresses/{addressId}/auto-settlements/rules/{id}","title":"Child Address Get Rule","href":"/en/api-reference/auto-settlements/child-address-get-rule"},{"openapi":"delete /v1/wallets/{walletId}/addresses/{addressId}/auto-settlements/rules/{id}","title":"Child Address Delete Rule","href":"/en/api-reference/auto-settlements/child-address-delete-rule"},{"openapi":"patch /v1/wallets/{walletId}/addresses/{addressId}/auto-settlements/rules/{id}","title":"Child Address Update Rule","href":"/en/api-reference/auto-settlements/child-address-update-rule"}]},{"group":"Smart Contract","pages":[{"openapi":"post /v1/wallets/{walletId}/contracts/read","title":"Master Wallet Read","href":"/en/api-reference/smart-contract/master-wallet-read"},{"openapi":"post /v1/wallets/{walletId}/contracts/write","title":"Master Wallet Write","href":"/en/api-reference/smart-contract/master-wallet-write"},{"openapi":"post /v1/wallets/{walletId}/contracts/write/sign","title":"Master Wallet Write Sign-Only","href":"/en/api-reference/smart-contract/master-wallet-write-sign-only"},{"openapi":"post /v1/wallets/{walletId}/contracts/network-fee","title":"Master Wallet Network Fee","href":"/en/api-reference/smart-contract/master-wallet-network-fee"},{"openapi":"post /v1/wallets/{walletId}/addresses/{addressId}/contracts/read","title":"Child Address Read","href":"/en/api-reference/smart-contract/child-address-read"},{"openapi":"post /v1/wallets/{walletId}/addresses/{addressId}/contracts/write","title":"Child Address Write","href":"/en/api-reference/smart-contract/child-address-write"},{"openapi":"post /v1/wallets/{walletId}/addresses/{addressId}/contracts/write/sign","title":"Child Address Write Sign-Only","href":"/en/api-reference/smart-contract/child-address-write-sign-only"},{"openapi":"post /wallets/{walletId}/addresses/{addressId}/contracts/network-fee","title":"Child Address Network Fee","href":"/en/api-reference/smart-contract/child-address-network-fee"}]},{"group":"Gateway","pages":[{"openapi":"get /v1/gateway/wallets","title":"Get Supported Master Wallets","href":"/en/api-reference/gateway/get-supported-master-wallets"},{"openapi":"get /v1/gateway/Transactions","title":"Master Wallet Transactions","href":"/en/api-reference/gateway/master-wallet-transactions"},{"openapi":"get /v1/gateway/balance","title":"Master Wallet Get Balance","href":"/en/api-reference/gateway/master-wallet-get-balance"},{"openapi":"post /v1/gateway/deposit/{walletId}","title":"Master Wallet Deposit","href":"/en/api-reference/gateway/master-wallet-deposit"},{"openapi":"post /v1/gateway/deposit/{walletId}/network-fee","title":"Master Wallet Deposit Network Fee","href":"/en/api-reference/gateway/master-wallet-deposit-network-fee"},{"openapi":"post /v1/gateway/withdraw","title":"Master Wallet Withdraw","href":"/en/api-reference/gateway/master-wallet-withdraw"},{"openapi":"post /v1/gateway/withdraw/network-fee","title":"Master Wallet Withdraw Network Fee","href":"/en/api-reference/gateway/master-wallet-withdraw-network-fee"},{"openapi":"get /v1/addresses/{addressId}/gateway/transactions","title":"Child Address Transactions","href":"/en/api-reference/gateway/child-address-transactions"},{"openapi":"get /v1/addresses/{addressId}/gateway/balance","title":"Child Address Get Balance","href":"/en/api-reference/gateway/child-address-get-balance"},{"openapi":"post /v1/addresses/{addressId}/gateway/deposit/{walletId}","title":"Child Address Deposit","href":"/en/api-reference/gateway/child-address-deposit"},{"openapi":"post /v1/addresses/{addressId}/gateway/deposit/{walletId}/network-fee","title":"Child Address Deposit Network Fee","href":"/en/api-reference/gateway/child-address-deposit-network-fee"},{"openapi":"post /v1/addresses/{addressId}/gateway/withdraw","title":"Child Address Withdraw","href":"/en/api-reference/gateway/child-address-withdraw"},{"openapi":"post /v1/addresses/{addressId}/gateway/withdraw/network-fee","title":"Child Address Withdraw Network Fee","href":"/en/api-reference/gateway/child-address-withdraw-network-fee"}]},{"group":"Payment Links","pages":[{"openapi":"get /v1/payment_links","title":"Get All","href":"/en/api-reference/payment-links/get-all"},{"openapi":"post /v1/payment_links","title":"Create","href":"/en/api-reference/payment-links/create"},{"openapi":"get /v1/payment_links/{id}","title":"Get One","href":"/en/api-reference/payment-links/get-one"},{"openapi":"patch /v1/payment_links/{id}","title":"Update","href":"/en/api-reference/payment-links/update"},{"openapi":"get /v1/payment_links/{id}/transactions","title":"Get Transactions","href":"/en/api-reference/payment-links/get-transactions"}]},{"group":"AML","pages":[{"openapi":"get /v1/aml/lookup","title":"Lookup","href":"/en/api-reference/aml/lookup"}]},{"group":"Asset Recovery","pages":[{"openapi":"post /v1/wallets/{walletId}/salvage","title":"Execute","href":"/en/api-reference/asset-recovery/execute"},{"openapi":"post /v1/wallets/{walletId}/salvage/network-fee","title":"Network Fee","href":"/en/api-reference/asset-recovery/network-fee"}]},{"group":"Miscellaneous","pages":[{"openapi":"get /v1/assets","title":"Get Assets","href":"/en/api-reference/miscellaneous/get-assets"},{"openapi":"get /v1/assets/rates","title":"Get Rates","href":"/en/api-reference/miscellaneous/get-rates"},{"openapi":"get /v1/blockchains","title":"Get Blockchains","href":"/en/api-reference/miscellaneous/get-blockchains"}]},{"group":"Rewards","pages":[{"openapi":"get /v1/rewards","title":"Business Rewards","href":"/en/api-reference/rewards/business-rewards"},{"openapi":"get /v1/rewards/products","title":"Reward Products","href":"/en/api-reference/rewards/products"},{"openapi":"get /v1/rewards/supported-chains","title":"Supported Reward Chains","href":"/en/api-reference/rewards/supported-chains"},{"openapi":"get /v1/rewards/transactions","title":"Business Reward Transactions","href":"/en/api-reference/rewards/business-transactions"},{"openapi":"get /v1/wallets/{walletId}/rewards","title":"Wallet Rewards","href":"/en/api-reference/rewards/wallet-rewards"},{"openapi":"get /v1/wallets/{walletId}/rewards/assets","title":"Wallet Reward Assets","href":"/en/api-reference/rewards/wallet-reward-assets"},{"openapi":"post /v1/wallets/{walletId}/rewards/deposit","title":"Deposit","href":"/en/api-reference/rewards/deposit"},{"openapi":"post /v1/wallets/{walletId}/rewards/deposit/network-fee","title":"Deposit Network Fee","href":"/en/api-reference/rewards/deposit-network-fee"},{"openapi":"post /v1/wallets/{walletId}/rewards/withdraw","title":"Withdraw","href":"/en/api-reference/rewards/withdraw"},{"openapi":"post /v1/wallets/{walletId}/rewards/withdraw/network-fee","title":"Withdraw Network Fee","href":"/en/api-reference/rewards/withdraw-network-fee"}]}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/en/api-changelog/introduction"}]}]},{"language":"es","pages":[{"title":"es","href":"/es/api-reference/introduction"}]},{"language":"pt","pages":[{"title":"pt","href":"/pt/api-reference/introduction"}]},{"language":"fr","pages":[{"title":"fr","href":"/fr/api-reference/introduction"}]},{"language":"zh","pages":[{"title":"zh","href":"/zh/api-reference/introduction"}]}]},"title":"Introduction - Blockradar","buildId":"dpl_CUnGQP1HgFUzoxatVC37y4zP83Vx","deploymentId":"dpl_CUnGQP1HgFUzoxatVC37y4zP83Vx","dynamics":[],"chunks":[]}